ApiParcelState (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiParcelState

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiParcelState

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiParcelState
      extends Object

  The ApiParcelState encapsulates the state of a parcel while it is in transition and reports any errors that may have occurred.. <p> The complete progress of a parcel is broken up into two different reporting indicators - progress and count. Progress is the primary indicator that reports the global state of transitions. For example, when downloading, progress and totalProgress will show the current number of bytes downloaded and the total number of bytes needed to be downloaded respectively. </p> <p> The count and totalCount indicator is used when a state transition affects multiple hosts. The count and totalCount show the current number of hosts completed and the total number of hosts respectively. For example, during distribution, the progress and totalProgress will show how many bytes have been transferred to each host and the count will indicate how many hosts of of totalCount have had parcels unpacked. </p> <p> Along with the two progress indicators, the ApiParcelState shows both errors and warnings that may have turned up during a state transition. </p>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiParcelState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiParcelState` | `addErrorsItem(String errorsItem)`
    `ApiParcelState` | `addWarningsItem(String warningsItem)`
    `ApiParcelState` | `count(BigDecimal count)`
    `boolean` | `equals(Object o)`
    `ApiParcelState` | `errors(List<String> errors)`
    `BigDecimal` | `getCount()` The current hosts that have completed.
    `List<String>` | `getErrors()` The errors that exist for this parcel.
    `BigDecimal` | `getProgress()` The progress of the state transition.
    `BigDecimal` | `getTotalCount()` The total amount that #getCount() needs to get to.
    `BigDecimal` | `getTotalProgress()` The total amount that #getProgress() needs to get to.
    `List<String>` | `getWarnings()` The warnings that exist for this parcel.
    `int` | `hashCode()`
    `ApiParcelState` | `progress(BigDecimal progress)`
    `void` | `setCount(BigDecimal count)`
    `void` | `setErrors(List<String> errors)`
    `void` | `setProgress(BigDecimal progress)`
    `void` | `setTotalCount(BigDecimal totalCount)`
    `void` | `setTotalProgress(BigDecimal totalProgress)`
    `void` | `setWarnings(List<String> warnings)`
    `String` | `toString()`
    `ApiParcelState` | `totalCount(BigDecimal totalCount)`
    `ApiParcelState` | `totalProgress(BigDecimal totalProgress)`
    `ApiParcelState` | `warnings(List<String> warnings)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiParcelState

          public ApiParcelState()

  - ### Method Detail

    - #### progress

          public ApiParcelState progress(BigDecimal progress)

    - #### getProgress

          public BigDecimal getProgress()

      The progress of the state transition.
      Returns:
        progress

    - #### setProgress

          public void setProgress(BigDecimal progress)

    - #### totalProgress

          public ApiParcelState totalProgress(BigDecimal totalProgress)

    - #### getTotalProgress

          public BigDecimal getTotalProgress()

      The total amount that #getProgress() needs to get to.
      Returns:
        totalProgress

    - #### setTotalProgress

          public void setTotalProgress(BigDecimal totalProgress)

    - #### count

          public ApiParcelState count(BigDecimal count)

    - #### getCount

          public BigDecimal getCount()

      The current hosts that have completed.
      Returns:
        count

    - #### setCount

          public void setCount(BigDecimal count)

    - #### totalCount

          public ApiParcelState totalCount(BigDecimal totalCount)

    - #### getTotalCount

          public BigDecimal getTotalCount()

      The total amount that #getCount() needs to get to.
      Returns:
        totalCount

    - #### setTotalCount

          public void setTotalCount(BigDecimal totalCount)

    - #### errors

          public ApiParcelState errors(List<String> errors)

    - #### addErrorsItem

          public ApiParcelState addErrorsItem(String errorsItem)

    - #### getErrors

          public List<String> getErrors()

      The errors that exist for this parcel.
      Returns:
        errors

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### warnings

          public ApiParcelState warnings(List<String> warnings)

    - #### addWarningsItem

          public ApiParcelState addWarningsItem(String warningsItem)

    - #### getWarnings

          public List<String> getWarnings()

      The warnings that exist for this parcel.
      Returns:
        warnings

    - #### setWarnings

          public void setWarnings(List<String> warnings)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.